RPMsg-Lite Configuration

The RPMsg-Lite can be configured at the compile time. The default configuration is defined in the rpmsg_default_config.h header file. This configuration can be customized by the user by including rpmsg_config.h file with custom settings. This section summarizes all possible RPMsg-Lite configuration options. More...

## Overview

The RPMsg-Lite can be configured at the compile time. The default configuration is defined in the rpmsg_default_config.h header file. This configuration can be customized by the user by including rpmsg_config.h file with custom settings. This section summarizes all possible RPMsg-Lite configuration options.

## Files

file | rpmsg_default_config.h

## Configuration options

#define | RL_MS_PER_INTERVAL
#define | RL_BUFFER_PAYLOAD_SIZE
#define | RL_BUFFER_COUNT
#define | RL_API_HAS_ZEROCOPY
#define | RL_USE_STATIC_API
#define | RL_CLEAR_USED_BUFFERS
#define | RL_USE_MCMGR_IPC_ISR_HANDLER
#define | RL_USE_ENVIRONMENT_CONTEXT
#define | RL_DEBUG_CHECK_BUFFERS
#define | RL_ASSERT(x)
#define | RL_ASSERT_BOOL(b)

## Macro Definition Documentation

#define RL_MS_PER_INTERVAL

Delay in milliseconds used in non-blocking API functions for polling. The default value is 1.

#define RL_BUFFER_PAYLOAD_SIZE

Size of the buffer payload, it must be equal to (240, 496, 1008, ...) [2^n - 16]. The default value is 496.

#define RL_BUFFER_COUNT

Number of the buffers, it must be power of two (2, 4, ...). The default value is 2.

#define RL_API_HAS_ZEROCOPY

Zero-copy API functions enabled/disabled. The default value is 1 (enabled).

#define RL_USE_STATIC_API

Static API functions (no dynamic allocation) enabled/disabled. The default value is 0 (static API disabled).

#define RL_CLEAR_USED_BUFFERS

Clearing used buffers before returning back to the pool of free buffers enabled/disabled. The default value is 0 (disabled).

#define RL_USE_MCMGR_IPC_ISR_HANDLER

When enabled IPC interrupts are managed by the Multicore Manager (IPC interrupts router), when disabled RPMsg-Lite manages IPC interrupts by itself. The default value is 0 (no MCMGR IPC ISR handler used).

#define RL_USE_ENVIRONMENT_CONTEXT

When enabled the environment layer uses its own context. Added for QNX port mainly, but can be used if required. The default value is 0 (no context, saves some RAM).

#define RL_DEBUG_CHECK_BUFFERS

Do not use in RPMsg-Lite to Linux configuration

#define RL_ASSERT | ( |  | x | ) |

Assert implementation.